<?php

$mizan_real_estate_color_palette_css = '';

// Global Color

$mizan_real_estate_first_color = mizan_real_estate_get_option('mizan_real_estate_first_color', '#FB7B18' );

if($mizan_real_estate_first_color != false){
	$mizan_real_estate_color_palette_css .=':root {';
		$mizan_real_estate_color_palette_css .='--primary-color: '.esc_attr($mizan_real_estate_first_color).'!important;';
	$mizan_real_estate_color_palette_css .='}';
}

$mizan_real_estate_color_palette_css .='}';

/*-------------- Copyright Text Align-------------------*/

	$mizan_real_estate_copyright_text_align = mizan_real_estate_get_option('mizan_real_estate_copyright_text_align');
	$mizan_real_estate_color_palette_css .='.site-footer{';
	$mizan_real_estate_color_palette_css .='text-align: '.esc_attr($mizan_real_estate_copyright_text_align).' !important;';
	$mizan_real_estate_color_palette_css .='}';
	$mizan_real_estate_color_palette_css .='
	@media screen and (max-width:575px) {
	.site-footer{';
	$mizan_real_estate_color_palette_css .='text-align: center !important;';
	$mizan_real_estate_color_palette_css .='} }';

// copyright font size
	$mizan_real_estate_copyright_text_font_size = mizan_real_estate_get_option('mizan_real_estate_copyright_text_font_size');
	$mizan_real_estate_color_palette_css .='#colophon p, #colophon a , #colophon{';
	$mizan_real_estate_color_palette_css .='font-size: '.esc_attr($mizan_real_estate_copyright_text_font_size).'px;';
	$mizan_real_estate_color_palette_css .='}';

// Copyright Background Color
$mizan_real_estate_copyright_background_color = mizan_real_estate_get_option('mizan_real_estate_copyright_background_color');
$mizan_real_estate_color_palette_css .='#colophon {';
$mizan_real_estate_color_palette_css .='background: '.esc_attr($mizan_real_estate_copyright_background_color);
$mizan_real_estate_color_palette_css .='}';

// Copyright Text Color
$mizan_real_estate_copyright_text_color = mizan_real_estate_get_option('mizan_real_estate_copyright_text_color');
$mizan_real_estate_color_palette_css .='#colophon a , #colophon{';
$mizan_real_estate_color_palette_css .='color: '.esc_attr($mizan_real_estate_copyright_text_color);
$mizan_real_estate_color_palette_css .='}';


// Site title And tagline Option
$mizan_real_estate_site_title_font_size = mizan_real_estate_get_option('mizan_real_estate_site_title_font_size');
$mizan_real_estate_site_title_color = mizan_real_estate_get_option('mizan_real_estate_site_title_color');
$mizan_real_estate_color_palette_css .='.site-title>a , .site-title {';
	$mizan_real_estate_color_palette_css .='font-size: '.esc_attr($mizan_real_estate_site_title_font_size).'px;';
	$mizan_real_estate_color_palette_css .='color: '.esc_attr($mizan_real_estate_site_title_color).';';
$mizan_real_estate_color_palette_css .='}';

$mizan_real_estate_site_tagline_font_size = mizan_real_estate_get_option('mizan_real_estate_site_tagline_font_size');
if($mizan_real_estate_site_tagline_font_size != false){
	$mizan_real_estate_color_palette_css .='.site-description {';
		$mizan_real_estate_color_palette_css .='font-size: '.esc_attr($mizan_real_estate_site_tagline_font_size).'px;';
	$mizan_real_estate_color_palette_css .='}';
}